# Contributors

Welcome future contributors (and current contributors)! This file here is a nice formatted file that will let you get info on
what contributing is and who all has contribtued. You may contribute to this file (!!!) if you'd like to add on things worth noting.

You can see everything on contributing after this list.

## List of Contributors
Here is a list of every contributor!
 - @Kqzz
   - The guy that wrote this project.
   - He also wrote MCsniperPY!
 - @wwhtrbbtt (Peet)
   - He made the spreading system and added account warnings.
   - Thanks for the help, Peet!
 - @overestimate (Trinity)
   - I wrote this file, the minor bug mega-issue, and the issue/PR templates.
   - Markdown is pain.
 - @PixelMelt
   - Fixed a typo in `config.go`.
     - Quick fix but less for others to type.

## What is a contribution?

A contribution is something you did to better the project. It's not just code, either. Here are some examples of contributions.

 - code contributions
   - the most known one
   - can be many things
     - minor spelling fix
	 - code typo fix
	 - big update
 - issue maintenance
   - tagging an assigned individual for updates
     - hey, maybe **you** could be that individual
   - submitting issues
     - the most obvious issue-related contribution
	 - use the mega-issue for minor issues
 - documentation
   - let's be real, no coder likes documentation
   - this one is the one of most helpful non-code contributions
   - please do this if you can, it helps a lot

## How do I contribute?
Here's a small walkthrough for each type!

### Code contribtions

 1. Fork the repo.
 2. Make a new branch. (optional)
   - Recommended as this makes it easier to track different commit groups.
 3. Commit the changes.
   - See the codeblock below.
```
git add .
git commit -am "commit message
cool new lines too!"
git push
```
 4. Open a PR.
   - Good luck with CLI lol
   - On the website, go to the original repo (Kqzz/MCsniperGO)
     1. Click Pull Requests.
	 2. Make a new one.
	 3. Profit?
 5. Wait for the merge.
 6. Congratulations, you have now contributed!

### Issue maintenance

#### Tagging assigned personel
 - Do I have to explain this?
 - Fine. Just do @ and the username. For example, the person who wrote this is @overestimate.

#### Being an assigned individual
<!-- TODO: kqzz please make a process for this THANKS - overestimate -->
 1. Get added as a contributor
   - Not related to this file, it's a process that enables you to manage issues
 2. Get proper info if needed
 3. Get additional info as needed
 4. Update the issue
 5. Close the issue when done
 6. ???

#### Submitting issues
A few reminders for some of y'all:
 - DO. NOT. FLOOD.
   - We only need ONE issue for the same bug!
 - Don't do typos and other minor issues in an individual issue! 
   - We have #7 for that...

Walkthrough for the needy:
 1. Open the repo on your web browser.
  - If you haven't already, how are you reading this?
 2. Sign in to a GitHub account.
  - You should not be this far in to this file and not have an account...
 3. Click "Issues".
  - It's the giant circle with a dot. You shouldn't miss this.
 4. Click the green "Create Issue" button on the right of the search bar.
  - No comment if you can't do this but could sign in.
 5. Fill the title.
  - Make it relative to the issue.
 6. Fill the template.
  - Most of it is done for you, just copy-and-paste anything you need to and type a bit.
 7. Click the green "Submit new issue" under the text.
  - No comment.
 8. Watch the issue.
  - This isn't a one-and-done thing.

### Documentation

You see the guide for submitting issues up above? That is a great example of documentation.
 1. Write the documentation.
 2. Make a PR that adds it.
  - Can be a link in the README or a file.
 3. Watch your PR.
  - Might need to change some things, so keep an eye out for updates.
 4. You're done.
  - Thank you for your service.

